Package org.apache.sling.adapter

# Class SlingAdaptable

java.lang.Object
org.apache.sling.api.adapter.SlingAdaptable
org.apache.sling.adapter.SlingAdaptable

All Implemented Interfaces:
  `org.apache.sling.api.adapter.Adaptable`

@Deprecated public abstract class SlingAdaptable extends org.apache.sling.api.adapter.SlingAdaptable
Deprecated.
Use the `SlingAdaptable` instead
The `SlingAdaptable` class is an (abstract) default implementation of the `Adaptable` interface. It just uses the default `AdapterManager` implemented in this bundle to adapt the itself to the requested type.

Extensions of this class may overwrite the `SlingAdaptable.adaptTo(Class)` method using their own knowledge of adapters and may call this base class implementation to fall back to an extended adapters.

## Constructor Summary

Constructors
Constructor
Description
`SlingAdaptable()`
Deprecated.

## Method Summary

### Methods inherited from class org.apache.sling.api.adapter.SlingAdaptable

`adaptTo, setAdapterManager, unsetAdapterManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingAdaptable

public SlingAdaptable()
Deprecated.